#!/bin/bash
ofile="$1-$(date +%Y-%m-%dT%H-%M-%S).mkv"
ffmpeg \
-hide_banner \
-protocol_whitelist rtp,file,udp,crypto,tcp \
-listen 1 \
-i tcp://10.0.1.22:9999?listen,overrun_nonfatal \
-c:v libx264 -pix_fmt yuv420p -threads 0 \
-map 0 \
-c:a copy \
-crf 18 \
-tune zerolatency \
-preset slow \
-maxrate 7.5M \
-bufsize 35M \
-max_muxing_queue_size 9999 \
"$ofile"
echo "$ofile"
